ur_rna.RNAstructureUI

## Class RNAstructure

- java.lang.Object
- - ur_rna.RNAstructureUI.RNAstructure

- All Implemented Interfaces:
    java.io.Serializable

      public class RNAstructure
      extends java.lang.Object
      implements java.io.Serializable

  A class that starts the RNAstructure interface.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `examplesDir`
    `static AppLog` | `log`
    `static MRUFileStorage` | `MRUFiles`
    `static UserOptions` | `options`
    `static java.lang.String` | `preferencesNode`
    `static java.lang.String` | `RELEASE_DATE`
    `static java.lang.String` | `REQUIRED_DLL_VERSION`
    `private static long` | `serialVersionUID`
    `static java.lang.String` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RNAstructure()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static java.lang.String` | `arrJoin(java.lang.Object[] arr, java.lang.String sep)`
    `static void` | `createDocsFolder()` This is called from within AppMainFrame during startup when the program is being run for the first time.
    `static void` | `ExtractExamples()`
    `(package private) static boolean` | `fileExists(java.lang.String path)`
    `(package private) static java.lang.String` | `findDataPath()`
    `static java.io.File` | `getExamplesDir()`
    `(package private) static java.lang.String` | `getFullPath(java.lang.String path)`
    `static java.lang.String` | `getPref(java.lang.String name)`
    `static java.lang.String` | `getPref(java.lang.String name, java.lang.String defaultValue)`
    `static java.util.prefs.Preferences` | `getPrefs()`
    `static boolean` | `isExampleFile(java.io.File f)`
    `static void` | `main(java.lang.String[] args)` The main method.
    `private static void` | `parseCommandArgs(java.lang.String[] args)`
    `(package private) static void` | `setDataPath(java.lang.String path)`
    `private static void` | `setDefaultFileOpenDir()`
    `static void` | `setPref(java.lang.String name, java.lang.String value)`
    `(package private) static void` | `showInfo(java.lang.String message)`
    `(package private) static void` | `showWarning(java.lang.String message)`
    `static boolean` | `silentMode()`
    `(package private) static boolean` | `verifyDataPath()`
    `static int` | `versionCompare(java.lang.String str1, java.lang.String str2)` Compares two version strings.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### examplesDir

          private static java.lang.String examplesDir

    - #### log

          public static final AppLog log

    - #### MRUFiles

          public static MRUFileStorage MRUFiles

    - #### options

          public static UserOptions options

    - #### preferencesNode

          public static java.lang.String preferencesNode

    - #### RELEASE_DATE

          public static final java.lang.String RELEASE_DATE

      See Also:
        Constant Field Values

    - #### REQUIRED_DLL_VERSION

          public static final java.lang.String REQUIRED_DLL_VERSION

      See Also:
        Constant Field Values

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### VERSION

          public static final java.lang.String VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RNAstructure

          public RNAstructure()

  - ### Method Detail

    - #### arrJoin

          static java.lang.String arrJoin(java.lang.Object[] arr,
                                          java.lang.String sep)

    - #### createDocsFolder

          public static void createDocsFolder()

      This is called from within AppMainFrame during startup when the program is being run for the first time. If the user deletes it, it will not be created again.

    - #### ExtractExamples

          public static void ExtractExamples()

    - #### fileExists

          static boolean fileExists(java.lang.String path)

    - #### findDataPath

          static java.lang.String findDataPath()

    - #### getExamplesDir

          public static java.io.File getExamplesDir()

    - #### getFullPath

          static java.lang.String getFullPath(java.lang.String path)

    - #### getPref

          public static java.lang.String getPref(java.lang.String name)

    - #### getPref

          public static java.lang.String getPref(java.lang.String name,
                                                 java.lang.String defaultValue)

    - #### getPrefs

          public static java.util.prefs.Preferences getPrefs()

    - #### isExampleFile

          public static boolean isExampleFile(java.io.File f)

    - #### main

          public static void main(java.lang.String[] args)

      The main method.
      Parameters:
        `args` - The command line arguments

    - #### parseCommandArgs

          private static void parseCommandArgs(java.lang.String[] args)

    - #### setDataPath

          static void setDataPath(java.lang.String path)

    - #### setDefaultFileOpenDir

          private static void setDefaultFileOpenDir()

    - #### setPref

          public static void setPref(java.lang.String name,
                                     java.lang.String value)

    - #### showInfo

          static void showInfo(java.lang.String message)

    - #### showWarning

          static void showWarning(java.lang.String message)

    - #### silentMode

          public static boolean silentMode()

    - #### verifyDataPath

          static boolean verifyDataPath()

    - #### versionCompare

          public static int versionCompare(java.lang.String str1,
                                           java.lang.String str2)

      Compares two version strings. Use this instead of String.compareTo() for a non-lexicographical comparison that works for version strings. e.g. "1.10".compareTo("1.6"). Note: It does not work if "1.10" is supposed to be equal to "1.10.0".
      Parameters:
        `str1` - a string of ordinal numbers separated by decimal points.
        `str2` - a string of ordinal numbers separated by decimal points.
      Returns:
        The result is a negative integer if str1 is _numerically_ less than str2. The result is a positive integer if str1 is _numerically_ greater than str2. The result is zero if the strings are _numerically_ equal.